#
# spec file for package osc-plugin-collab (version 0.90)
#
# Copyright (c) 2009 Vincent Untz <vuntz@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           osc-plugin-collab
Version:        0.90
Release:        1.2
License:        BSD 3-Clause
Summary:        Plugin to make collaboration easier with osc
Url:            http://en.opensuse.org/OscCollab
Source0:        osc-collab.py
Group:          Development/Tools/Other
# Needed for directory ownership
BuildRequires:  osc
Requires:       osc
Recommends:     rpm-python
# osc gnome was part of osc-plugins-gnome
Conflicts:      osc-plugins-gnome <= 0.4.26
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %(if test -d %{_prefix}/lib/osc-plugins; then echo 1; else echo 0; fi)
%define oscplugindir %{_prefix}/lib/osc-plugins
%else
%define oscplugindir %{_localstatedir}/lib/osc-plugins
%endif

%description
This osc plugin extends osc with commands that makes it easier to use
the collaboration feature in the Build Service, and to keep up with
latest upstream versions.

%prep

%build

%install
install -D -m0644 %{S:0} %{buildroot}%{oscplugindir}/osc-collab.py

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%{oscplugindir}/osc-collab.py

%changelog
* Mon Sep 14 2009 vuntz@opensuse.org
- This is the old osc-gnome plugin, split from osc-plugins-gnome,
  and renamed to osc-collab.
- Update to version 0.90:
  + Features:
  - Rename to osc collab and do not refer to anything GNOME
    specific anywhere
  - Support delta in non-link packages
  - Remove potential trailing slash from packages passed as args
    for convenience when used with autocompletion
  - Make the config options work per apiurl
  - Make it possible to use more than one repo at the same time
  - Display against which repo the build is done
  - Make setup/update branch from the devel project
  - Take into account the version in devel project for
    todo/update
  - Use openSUSE:Factory by default instead of GNOME:Factory
  - Autodetect default repository for builds
  - Add --nodevelproject option for the relevant commands
  - Add --version command
  + Fixes:
  - Improve upstream tarball basename detection in when the
    basename of the upstream tarball is not in the URL, but in
    the query fields
  - Fix warning about tag in Source always appearing
  - Do not crash with osc from trunk
  - Better handling of update when package is already updated
  - Fix listreserved to not list reservations from all projects
  - Substitute macros in %%define lines too
  - Remove old cache files
  - Fix parsing of empty list options in ~/.oscrc
  - Improve help message
  - Code cleanups
